%define upstream_name    Spreadsheet-Read
%define upstream_version 0.61

%global __requires_exclude /pro/bin/perl

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Transparent read the data from a spreadsheet
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Spreadsheet/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp) >= 0.220.0
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::NoWarnings)
BuildArch:  noarch

%description
Spreadsheet::Read tries to transparently read *any* spreadsheet and return
its content in a universal manner independent of the parsing module that
does the actual spreadsheet scanning.

For OpenOffice this module uses Spreadsheet::ReadSXC

For Microsoft Excel this module uses Spreadsheet::ParseExcel or
Spreadsheet::XLSX

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | %__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.610.0-5.mga8
+ Revision: 1497196
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.610.0-4.mga7
+ Revision: 1271211
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.610.0-3.mga6
+ Revision: 1033322
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.610.0-2.mga6
+ Revision: 968472
- Mageia 6 Mass Rebuild

* Tue Jul 07 2015 sander85 <sander85> 0.610.0-1.mga6
+ Revision: 852512
- update to 0.61

* Wed Oct 15 2014 umeabot <umeabot> 0.540.0-3.mga5
+ Revision: 746775
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.540.0-2.mga5
+ Revision: 686221
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Mon Feb 10 2014 jquelin <jquelin> 0.540.0-1.mga5
+ Revision: 588641
- update to 0.54

* Sat Oct 19 2013 umeabot <umeabot> 0.490.0-2.mga4
+ Revision: 527300
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.490.0-1.mga4
+ Revision: 439878
- update to 0.49

* Sun Jan 13 2013 umeabot <umeabot> 0.470.0-2.mga3
+ Revision: 372706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.470.0-1.mga3
+ Revision: 267492
- update to 0.47

* Thu Feb 23 2012 jquelin <jquelin> 0.460.0-1.mga2
+ Revision: 213173
- update to 0.46

* Mon Sep 26 2011 jquelin <jquelin> 0.450.0-1.mga2
+ Revision: 148308
- adding missing buildrequires:
- update to 0.45

* Wed Jun 15 2011 jquelin <jquelin> 0.420.0-1.mga2
+ Revision: 107450
- update to 0.42

* Mon Jan 24 2011 jquelin <jquelin> 0.410.0-4.mga1
+ Revision: 37344
- rebuild
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.410.0-2.mga1
+ Revision: 34886
- rebuild
- mageia rebuild
- imported package perl-Spreadsheet-Read

